# frozen_string_literal: true

module Ugrp
  class GroupPermission < ActiveRecord::Base
    # self.table_name = 'ugrp_group_permissions'

    belongs_to :group, class_name: 'Ugrp::Group'
    belongs_to :permission, class_name: 'Ugrp::Permission'

    #---------------------------------------------------------------------------

    # attr_accessible :group, :group_id
    # attr_accessible :permission, :permission_id

    #---------------------------------------------------------------------------

    def to_s
      "#{group}:#{permission}"
    end
  end
end
