# frozen_string_literal: true

module Ugrp
  class RolePermission < ActiveRecord::Base
    # self.table_name = 'ugrp_role_permissions'

    belongs_to :role, class_name: 'Ugrp::Role'
    belongs_to :permission, class_name: 'Ugrp::Permission'

    #---------------------------------------------------------------------------

    # attr_accessible :role, :role_id
    # attr_accessible :permission, :permission_id

    #---------------------------------------------------------------------------

    def to_s
      "#{role}:#{permission}"
    end
  end
end
