# frozen_string_literal: true

module Ugrp
  class UserDomain < ActiveRecord::Base
    # self.table_name = 'ugrp_user_domains'

    belongs_to :user, class_name: 'Ugrp::User'
    belongs_to :domain, class_name: 'Ugrp::Domain'

    #---------------------------------------------------------------------------

    # attr_accessible :user, :user_id
    # attr_accessible :domain, :domain_id

    #---------------------------------------------------------------------------

    def to_s
      "#{user}:#{domain}"
    end
  end
end
