# frozen_string_literal: true

module Ugrp
  class UserGroup < ActiveRecord::Base
    # self.table_name = 'ugrp_user_groups'

    belongs_to :user, class_name: 'Ugrp::User'
    belongs_to :group, class_name: 'Ugrp::Group'

    #---------------------------------------------------------------------------

    # attr_accessible :user, :user_id
    # attr_accessible :group, :group_id

    #---------------------------------------------------------------------------

    def to_s
      "#{user}:#{group}"
    end
  end
end
