# frozen_string_literal: true

module Ugrp
  class UserPermission < ActiveRecord::Base
    # self.table_name = 'ugrp_user_permissions'

    belongs_to :user, class_name: 'Ugrp::User'
    belongs_to :permission, class_name: 'Ugrp::Permission'

    #---------------------------------------------------------------------------

    # attr_accessible :user, :user_id
    # attr_accessible :permission, :permission_id

    #---------------------------------------------------------------------------

    def to_s
      "#{user}:#{permission}"
    end
  end
end
