# frozen_string_literal: true

module Ugrp
  class UserRole < ActiveRecord::Base
    # self.table_name = 'ugrp_user_roles'

    belongs_to :user, class_name: 'Ugrp::User'
    belongs_to :role, class_name: 'Ugrp::Role'

    #---------------------------------------------------------------------------

    # attr_accessible :user, :user_id
    # attr_accessible :role, :role_id

    #---------------------------------------------------------------------------

    def to_s
      "#{user}:#{role}"
    end
  end
end
