# frozen_string_literal: true

# TODO: Review Roles/Groups/Permissions ASAP
# Create default Roles
Ugrp::Role.new(
  domain: Ugrp::Domain.default_domain,
  name: 'r_developer', descriptive_name: 'Developer', is_active: true
).save(validate: false)

Ugrp::Role.new(
  domain: Ugrp::Domain.default_domain,
  name: 'r_super_user', descriptive_name: 'Administrative super user', is_active: true
).save(validate: false)

Ugrp::Role.new(
  domain: Ugrp::Domain.default_domain,
  name: 'r_domain_admin', descriptive_name: 'Domain Administrator', is_active: true
).save(validate: false)

Ugrp::Role.new(
  domain: Ugrp::Domain.default_domain,
  name: 'r_internal_user', descriptive_name: 'Internal user', is_active: true
).save(validate: false)

Ugrp::Role.new(
  domain: Ugrp::Domain.default_domain,
  name: 'r_external_user', descriptive_name: 'Public/External user', is_active: true
).save(validate: false)

Ugrp::Role.new(
  domain: Ugrp::Domain.default_domain,
  name: 'r_guest', descriptive_name: 'Guest', is_active: true
).save(validate: false)
