# frozen_string_literal: true

module Ugrp
  class DomainAlias < ActiveRecord::Base
    # self.table_name = 'ugrp_domain_aliases'

    belongs_to :domain, class_name: 'Ugrp::Domain'

    #------------------------------------------------------------------

    # attr_accessible :url, :is_active
    # attr_accessible :domain, :domain_id

    #------------------------------------------------------------------

    validates :url, :domain, presence: true
    validates :url, uniqueness: true

    #---------------------------------------------------------------------------

    def to_s
      "#{url}->#{domain}"
    end
  end
end
