# frozen_string_literal: true

module Ugrp
  class GroupRole < ActiveRecord::Base
    # self.table_name = 'ugrp_group_roles'

    belongs_to :group, class_name: 'Ugrp::Group'
    belongs_to :role, class_name: 'Ugrp::Role'

    #---------------------------------------------------------------------------

    # attr_accessible :group, :group_id
    # attr_accessible :role, :role_id

    #---------------------------------------------------------------------------

    def to_s
      "#{group}:#{role}"
    end
  end
end
