class ApplicationController < ActionController::Base
  protect_from_forgery prepend: true

  def health
    respond_to do |format|
      format.json { render json: { status: 'UP' } }
    end
  end

  def ready
    respond_to do |format|
      format.json { render json: { status: 'OK' } }
    end
  end
end
